## php-idn 1.2b-5

=== debian/changelog ===
php-idn (1.2b-5) unstable; urgency=low

  * Change source name to simply 'php-idn'.

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 29 Aug 2007 02:06:09 +0200

php4-idn (1.2b-4) unstable; urgency=low

  * Change the copyright, to add PHP exeption paragraph
    due to GPL/PHP copyright conflicts.
  * Don't build the php4 package. PHP4 have been removed from Debian
    GNU/Linux...
    Closes: #418316
  * Fix short description.
    Closes: #411998

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 29 Aug 2007 00:44:22 +0200

php4-idn (1.2b-3) unstable; urgency=low

  * Remove CVS directories from source.
  * Merge in NMU patch between 1.2b-2 and 1.2b-2.1 by Christian Perrier.

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 22 Feb 2007 17:17:20 +0000

php4-idn (1.2b-2) unstable; urgency=low

  * templates, config, postinst, postrm and prerm from php4-kadm5.
    Closes: #408275

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 16 Feb 2007 12:58:31 +0100

php4-idn (1.2b-1) unstable; urgency=low

  * New upstream version.
    - Missed part of the GCC 4.1 compiler warnings patch.

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 24 Nov 2006 10:40:05 +0100

php4-idn (1.2-1) unstable; urgency=low

  * New upstream version.
    - GCC 4.1 compiler warnings fixed.
    - Don't throw fatal error if it can't convert from one string to another.

 -- Turbo Fredriksson <turbo@debian.org>  Tue, 21 Nov 2006 09:13:02 +0100

php4-idn (1.1-8) unstable; urgency=low

  * Fix a php5 package as well.
    + Scratch the whole debian/rules file and take one from the 
      php-clamavlib (0.12a-2) package.
  * Bump the Standards-Version to 3.7.2
  * Reupload source tarball in 'upstream version' (i.e. without the debian
    directory).

 -- Turbo Fredriksson <turbo@debian.org>  Wed,  8 Nov 2006 13:58:01 +0100

php4-idn (1.1-7) unstable; urgency=low

  * Use the output from 'php-config4 --phpapi' instead of grepping
    include file to get the PHP API version.
    Closes: #321619

 -- Turbo Fredriksson <turbo@debian.org>  Tue, 20 Sep 2005 22:35:40 +0200

php4-idn (1.1-6) unstable; urgency=low

  * Re-build and -upload to update with new API Extension version.
    Closes: #327896

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 14 Sep 2005 14:55:41 +0200

php4-idn (1.1-5) unstable; urgency=low

  * Forgot to sign the build *sigh*. To used to building local
    packages which I don't usually sign... Sorry!

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 31 Aug 2005 09:30:13 +0200

php4-idn (1.1-4) unstable; urgency=low

  * Rebuild and upload to update the PHP4 API dependencies
    Closes: #321619

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 31 Aug 2005 09:13:33 +0200

php4-idn (1.1-3) unstable; urgency=low

  * Merging NMU by Steve Langasek <vorlon@debian.org>
    - Bump php4-dev build-dep to (>= 4:4.3.10-10)
    - Drop support for the caudium SAPI, which has been dropped.

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 31 Aug 2005 08:46:09 +0200

php4-idn (1.1-2) unstable; urgency=low

  * Merging NMU by Adam Conrad <adconrad@0c3.net>:
    - Bump php4-dev build-dep to (>= 4:4.3.10-3)
    - Make sure we depend on a threaded phpapi (closes: #293999)
    - Remove debian/dirs, as it's creating an extra unused directory
      under /usr/lib/php4
    - Add support in postinst/prerm for the apache2 and caudium SAPIs

 -- Turbo Fredriksson <turbo@debian.org>  Mon, 14 Mar 2005 11:36:36 +0100

php4-idn (1.1-1) unstable; urgency=low

  * New upstream version:
    - Support building on PHP.
    - Missing PHP parser code added in idn.php.
    - Small updates to README.documentation on how to build reference
      documentation correctly.

 -- Turbo Fredriksson <turbo@debian.org>  Sat, 18 Dec 2004 16:50:54 +0100

php4-idn (1.0-3) unstable; urgency=low

  * Add 'cli' to the list of php4 'modules' to add/remove the IDN
    extension to.
    Closes: #274593

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 28 Oct 2004 11:33:12 +0200

php4-idn (1.0-2) unstable; urgency=low

  * Changing "It's" to "Its" in control file - spelling/language error.
    Closes: #268536

 -- Turbo Fredriksson <turbo@debian.org>  Sat, 28 Aug 2004 13:19:37 +0200

php4-idn (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Turbo Fredriksson <turbo@debian.org>  Wed, 26 May 2004 10:59:53 +0200

php4-idn (0.10-1) unstable; urgency=low

  * Removed idn_to_utf8() - idn_to_unicode() does this job now.

 -- Turbo Fredriksson <turbo@debian.org>  Thu,  5 Feb 2004 16:10:02 +0100

php4-idn (0.9-3) unstable; urgency=low

  * Don't recommend php4-apache (don't know where that came from).
    Closes: #240563
  * Install module into '/usr/lib/php4/20020429/' using the output
    from 'php-config --extension-dir' which will correctly give this
    directory even in the future.
    Closes: #240118
  * Find what PHP API version to depend on (=> ${php:Depends}), not
    php4-{cgi,pear}.
    Closes: #242237

 -- Turbo Fredriksson <turbo@debian.org>  Tue, 13 Apr 2004 09:39:46 +0200

php4-idn (0.9-2) unstable; urgency=low

  * Recompile on a TRUE unstable box.
  * Put the module in '/usr/lib/php4/', not '/usr/lib/php4/2001.../' etc.
    Closes: #233049.

 -- Turbo Fredriksson <turbo@debian.org>  Sat, 21 Feb 2004 10:28:53 +0100

php4-idn (0.9-1) unstable; urgency=low

  * Readding idn_to_unicode().
  * Removing the need for the environment variable CHARSET.
  * Lots of more memory leaks fixed
  * Slight rewrite of idn_idna_to_ascii() and idn_unicode_to_ascii()
    - Shortened by usage of other LibIDN functions.
  * Build depend on libidn11-dev OR libidn9-dev.
    Closes: #230827

 -- Turbo Fredriksson <turbo@debian.org>  Tue,  3 Feb 2004 07:39:14 +0100

php4-idn (0.8-1) unstable; urgency=low

  * New upstream release. Memory leaks fixed

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 30 Jan 2004 07:58:09 +0100

php4-idn (0.7-1) unstable; urgency=low

  * Initial Release.
    Closes: #227338

 -- Turbo Fredriksson <turbo@debian.org>  Mon, 12 Jan 2004 10:02:47 +0100
