=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILD4=$(CURDIR)/debian/php4-idn
BUILD5=$(CURDIR)/debian/php5-idn
PHP_EX4=$(shell /usr/bin/php-config4 --extension-dir)
PHP_EX5=$(shell /usr/bin/php-config5 --extension-dir)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build:
	@echo "Not use this."

build-stamp:
	dh_testdir
	touch build-stamp

build-stamp-php4: build-stamp
	-$(MAKE) clean
	phpize --clean
	phpize4
	chmod a+x ./configure
	./configure --prefix=$(BUILD4)/usr --with-php-config=/usr/bin/php-config4
	-$(MAKE) DESTDIR=$(BUILD4)
	touch build-stamp-php4

build-stamp-php5: build-stamp
	-$(MAKE) clean
	phpize --clean
	phpize5
	chmod a+x ./configure
	./configure --prefix=$(BUILD5)/usr --with-php-config=/usr/bin/php-config5
	-$(MAKE) DESTDIR=$(BUILD5)
	touch build-stamp-php5

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp build-stamp-php5 build-stamp-php4
	-$(MAKE) clean
	phpize --clean
	debconf-updatepo
	dh_clean

install: build-php5

build-php4:
build-php4: build-stamp-php4
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p debian/php4-idn$(PHP_EX4)
	install -m 644 -o root -g root modules/idn.so debian/php4-idn$(PHP_EX4)/idn.so
	mkdir -p debian/php4-idn/usr/share/lintian/overrides
	echo "php-idn: no-shlibs-control-file $(PHP_EX4)/idn.so" > debian/php4-idn/usr/share/lintian/overrides/php4-idn

build-php5:
build-php5: build-stamp-php5
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p debian/php5-idn$(PHP_EX5)
	install -m 644 -o root -g root modules/idn.so debian/php5-idn$(PHP_EX5)/idn.so
	mkdir -p debian/php5-idn/usr/share/lintian/overrides
	echo "php-idn: no-shlibs-control-file $(PHP_EX5)/idn.so" > debian/php5-idn/usr/share/lintian/overrides/php5-idn

binary-indep:

binary-arch-php4: DH_OPTIONS='--package=php4-idn --no-package=php5-idn'
binary-arch-php4: build-php4
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs CHANGES
	dh_installdebconf
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb --package=php4-idn --no-package=php5-idn
	dh_shlibdeps
	echo "php:Depends=phpapi-`php-config4 --phpapi`" >> debian/php4-idn.substvars
	dh_gencontrol --package=php4-idn --no-package=php5-idn
	dh_md5sums
	dh_builddeb --package=php4-idn --no-package=php5-idn

binary-arch-php5: DH_OPTIONS='--package=php5-idn --no-package=php4-idn'
binary-arch-php5: build-php5
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs CHANGES 
	dh_installdebconf
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms 
	dh_installdeb --package=php5-idn --no-package=php4-idn
	dh_shlibdeps
	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> debian/php5-idn.substvars
	dh_gencontrol --package=php5-idn --no-package=php4-idn
	dh_md5sums 
	dh_builddeb --package=php5-idn --no-package=php4-idn 

binary-arch: binary-arch-php5
binary: binary-indep binary-arch
.PHONY: build-php4 build-php5 clean binary-indep binary-arch binary install
