=== debian/watch ===
version=3

http://php-idn.bayour.com/php-idn_(.*)\.tar\.gz
