## php-idn 1.2b-5.3

=== debian/changelog ===
php-idn (1.2b-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch. Closes: #463799
    - Swedish. Closes: #491956
    - Russian. Closes: #501226
    - Basque. Closes: #501300
    - Finnish. Closes: #501702
    - Spanish. Closes: #501786

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Oct 2008 09:13:31 +0200
