=== debian/control ===
Source: php-idn
Section: web
Priority: optional
Maintainer: Turbo Fredriksson <turbo@debian.org>
Build-Depends: debhelper (>> 4.0.0), binutils, php5-dev, libidn11-dev | libidn9-dev (>= 0.2.1), po-debconf
Standards-Version: 3.7.3
Homepage: http://php-idn.bayour.com

Package: php5-idn
Architecture: any
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}, ucf
Description: PHP API for the IDNA library
 This is the PHP(5) API for the GNU LibIDN software. It's intention is
 to have international characters in the DNS system.
 See php-idn.bayour.com for more information.
