## php-idn 1.2b-5.3ubuntu1

=== debian/changelog ===
php-idn (1.2b-5.3ubuntu1) lucid; urgency=low

  * Rebuild for PHP 5.3. 
  * debian/idn.ini: Remove comment and enabled.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Mar 2010 14:07:16 -0500
