=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: php-idn
 Section: web
 Priority: optional
-Maintainer: Turbo Fredriksson <turbo@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Turbo Fredriksson <turbo@debian.org>
 Build-Depends: debhelper (>> 4.0.0), binutils, php5-dev, libidn11-dev | libidn9-dev (>= 0.2.1), po-debconf
 Standards-Version: 3.7.3
 Homepage: http://php-idn.bayour.com
